import PropTypes from 'prop-types';
import { Component } from 'react';
import { CommonThemeProps } from '../types';
import { TransferProps as NextTransferProps } from '@alifd/next/types/transfer';
interface TransferProps extends NextTransferProps, CommonThemeProps {
    showTreeSelect?: boolean;
    showTable?: boolean;
    useVirtual?: boolean;
}
interface ITreeSelectState {
    selected: Array<any>;
}
declare class Transfer extends Component<TransferProps, ITreeSelectState> {
    constructor(props: any);
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare const _default: typeof Transfer;
export default _default;
